System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.ICommunicationObject

The class implements the interface for all communication objects in Indigo1. The method implementations handle parameter validation, raise events that notify the occurrence of state transitions, provide the means to associated additional processing with these state transitions, and ensure that such state changes are coordinated.

Provides a common base implementation for the basic state machine common to all communication-oriented objects in the system, including channels, listeners, and the channel and listener factories.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the mutually exclusive lock to protect the state transitions specified.

- Method
  4.0.0.0
  System.Void

  This method indicates that any unfinished work should be ignored or ungracefully terminated before returning. The method can be used to cancel any outstanding operations, including outstanding calls to .

  To gracefully transition a from any state other than into the state, call or one of its asynchronous versions, .

  Causes a communication object to transition immediately from its current state into the closing state.

- Method
  4.0.0.0
  System.IAsyncResult `` `` To be added. To be added.

  This method causes the to gracefully transition from any state, other than the state, into the state within a default interval of time. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages). This method calls if the communication object was initially in the state.

  Begins an asynchronous operation to close a communication object.

  The that references the asynchronous close operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added.

  This method causes the to gracefully transition from any state, other than the state, into the state with in a specified interval of time. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages). This method calls if the communication object was initially in the state.

  Begins an asynchronous operation to close a communication object with a specified timeout.

  The that references the asynchronous close operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` To be added. To be added.

  The method calls and if the communication object is initially in the state.

  To insert processing after a communication object transitions to a closing state due to the invocation of a synchronous operation, use the method.

  Begins an asynchronous operation to open a communication object.

  The that references the asynchronous open operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added.

  The method calls and if the communication object is initially in the state.

  To insert processing after a communication object transitions to a closing state due to the invocation of a synchronous operation, use the method.

  Begins an asynchronous operation to open a communication object within a specified interval of time.

  The that references the asynchronous open operation.

- Method
  4.0.0.0
  System.Void

  This method causes a to gracefully transition from any state, other than the state, into the state. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages.

  The enters the state and remains in it after the method is called until the transition to the state is completed. The transition consists of making successive calls to , , and .

  There is also an asynchronous version of the close method that is initiated by calling .

  Causes a communication object to transition from its current state into the closed state.

- Method
  4.0.0.0
  System.Void `` To be added.

  This method causes a to gracefully transition from any state, other than the state, into the state within a specified interval of time. The method allows any unfinished work to be completed before returning. For example, finish sending any buffered messages.

  The enters the state and remains in it after the method is called until the transition to the state is completed. The transition consists of making successive calls to , and .

  There is also an asynchronous version of the close method that is initiated by calling .

  Causes a communication object to transition from its current state into the closed state within a specified interval of time.

- Event
  4.0.0.0
  System.EventHandler

  The event is raised by the method which is called by the and methods.

  Occurs when a communication object transitions into the closed state.

- Event
  4.0.0.0
  System.EventHandler

  The event is raised by the method which is called by the and methods.

  Occurs when a communication object transitions into the closing state.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  When overridden in a derived class, gets the default interval of time provided for a close operation to complete.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  When overridden in a derived class, gets the default interval of time provided for an open operation to complete.

- Method
  4.0.0.0
  System.Void `` To be added.

  A synchronous version of this method is provided by the method.

  Completes an asynchronous operation to close a communication object.

- Method
  4.0.0.0
  System.Void `` To be added.

  A synchronous version of this method is provided by the method.

  Completes an asynchronous operation to open a communication object.

- Method
  4.0.0.0
  System.Void

  The event is raised by the method which is called by the method.

  Causes a communication object to transition from its current state into the faulted state.

- Event
  4.0.0.0
  System.EventHandler

  The event is raised by the method which is called by the method.

  Occurs when a communication object transitions into the faulted state.

- Method
  4.0.0.0
  System.Type To be added.

  Gets the type of communication object.

  The type of communication object.

- Property
  4.0.0.0
  System.Boolean To be added.

  An object is considered disposed when the event occurs.

  Gets a value that indicates whether the communication object has been disposed.

- Method
  4.0.0.0
  System.Void

  The method calls if the communication object is not already in a state.

  Inserts processing on a communication object after it transitions to the closing state due to the invocation of a synchronous abort operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added.

  The method calls if the communication object is initially in the state.

  To insert processing after a communication object transitions to a closing state due to the invocation of a synchronous operation, use the method.

  Inserts processing after a communication object transitions to the closing state due to the invocation of an asynchronous close operation.

  The that references the asynchronous on close operation.

- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added. To be added.

  To insert processing after a communication object transitions to a opening state due to the invocation of a synchronous operation, use the method.

  Inserts processing on a communication object after it transitions to the opening state due to the invocation of an asynchronous open operation.

  The that references the asynchronous on open operation.

- Method
  4.0.0.0
  System.Void `` To be added.

  The method calls if the communication object is initially in the state.

  To insert processing after a communication object transitions to a closing state due to the invocation of an asynchronous operation, use the method.

  Inserts processing on a communication object after it transitions to the closing state due to the invocation of a synchronous close operation.

- Method
  4.0.0.0
  System.Void

  The method calls if the communication object is initially in the state.

  The method calls (and if the communication object is not already in a state.

  Invoked during the transition of a communication object into the closing state.

- Method
  4.0.0.0
  System.Void

  The method calls if the communication object is initially in the state.

  Invoked during the transition of a communication object into the closing state.

- Method
  4.0.0.0
  System.Void `` To be added.

  The method calls if the communication object is not already in a state.

  Completes an asynchronous operation on the close of a communication object.

- Method
  4.0.0.0
  System.Void `` To be added.

  The method calls (and ).

  Completes an asynchronous operation on the open of a communication object.

- Method
  4.0.0.0
  System.Void

  The event is raised by the method which is called by the method.

  Inserts processing on a communication object after it transitions to the faulted state due to the invocation of a synchronous fault operation.

- Method
  4.0.0.0
  System.Void `` To be added.

  The method calls (after calling and before calling ) if the communication object is initially in the state.

  To insert processing as a communication object transitions to a opening state due to the invocation of an asynchronous operation, use the method.

  Inserts processing on a communication object after it transitions into the opening state which must complete within a specified interval of time.

- Method
  4.0.0.0
  System.Void

  This provides a way to add processing when it is called by the and methods.

  Invoked during the transition of a communication object into the opened state.

- Method
  4.0.0.0
  System.Void

  This provides a way to add processing when it is called by the and methods.

  Invoked during the transition of a communication object into the opening state.

- Method
  4.0.0.0
  System.Void

  When a is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. When called, the method causes a to enter into the state and calls , , and . The method completes the method by setting the state of the object to the state.

  In the

  state, the is usable (for example, messages can be received), but it is no longer configurable.

  There is also an asynchronous version of the open method that is initiated by calling and completed by calling .

  ## Credentials Capture with Windows Authentication

  When using Windows authentication, credentials used by the service are based on the current context thread. The credentials are obtained when the Open method is called.

  For asynchronous calls, credentials are captured when the is invoked. However, the actual credentials cannot be guaranteed. That is, the credentials of the caller may be switched to another identity. For more information, see Message Security with a Windows Client.

  Causes a communication object to transition from the created state into the opened state.

- Method
  4.0.0.0
  System.Void `` To be added.

  When a is instantiated, it begins in the state. In the state, the object can be configured (for example, properties can be set, or events can be registered), but it is not yet usable to send or receive messages. When called, the method causes a to enter into the state and calls , , and . The method completes the method by setting the state of the object to the state.

  In the

  state, the is usable (for example, messages can be received), but it is no longer configurable.

  There is also an asynchronous version of the open method that is initiated by calling and completed by calling .

  Causes a communication object to transition from the created state into the opened state within a specified interval of time.

- Event
  4.0.0.0
  System.EventHandler

  The event is raised by the method which is called by the and methods.

  Occurs when a communication object transitions into the opened state.

- Event
  4.0.0.0
  System.EventHandler

  The event is raised by the method which is called by the and methods.

  Occurs when a communication object transitions into the opening state.

- Property
  4.0.0.0
  System.ServiceModel.CommunicationState To be added. To be added.

  Gets a value that indicates the current state of the communication object.

- Property
  4.0.0.0
  System.Object To be added. To be added.

  Gets the mutually exclusive lock that protects the class instance during a state transition.

- Method
  4.0.0.0
  System.Void

  No exception is thrown if the communication object is in a , or state. A communication object is disposed once is called on it.

  Throws an exception if the communication object is disposed.

- Method
  4.0.0.0
  System.Void

  Since an object is immutable after is called on it, the only state that is both mutable and not disposed is the state.

  Throws an exception if the communication object the property is not set to the state.

- Method
  4.0.0.0
  System.Void To be added.

  Throws an exception if the communication object is not in the state.